<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerDataAnggotaKoperasi extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        check_not_login();
        if ($this->session->userdata('level') != 6) {
            redirect();
        }
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('mycustom');
        $this->load->library('Notifikasi');
        $this->load->model('kabag_marketing/insert_model');
        $this->load->model('kabag_marketing/select_model');
        $this->load->model('kabag_marketing/update_model');
        $this->set_timezone();
    }

    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function index()
    {
        $notif                 = $this->notifikasi->notif_kabag_marketing();
        // Data Login
        $data_login            = $this->userlogin->user_login();
        $data_id_login         = $this->session->userdata('isloggedin');
        // Cek Kabupaten / Kota
        $data_kotkab           = $this->select_model->vd_kotkab();
        // Query SQL Data atau isi data page
        $data_anggota_koperasi = $this->select_model->vd_anggotaKoeprasi();
        $anggota_aktif         = count($this->select_model->vd_anggotaKoeprasiAktif());
        $anggota_pasif         = count($this->select_model->vd_anggotaKoeprasiPasif());
        $kartu_keluarga        = $this->db->get_where('anggota_keluarga')->result();
        // echo '<pre>';
        // var_dump($data_anggota_koperasi);
        // die;
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder' => 'data/anggota',
            'page'   => 'index',
            'judul'  => 'Data Anggota Koperasi || Bagian Kabag Marketing',
            // Isi data
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            'notif'               => $notif,
            'data_kota'           => $data_kotkab,
            // Data isian konten
            'anggota_koperasi'    => $data_anggota_koperasi,
            'kk'                  => $kartu_keluarga,
            'jml_aktif'           => $anggota_aktif,
            'jml_pasif'           => $anggota_pasif
        );
        $this->load->view('kabag_marketing/index', $data);
    }
    // Menampilkan data anggota koperasi
    public function dataview()
    {
        $csrf_name = $this->security->get_csrf_token_name();
        $csrf_hash = $this->security->get_csrf_hash();
        $query  = "Select *, A.id as anggota_id from tbl_anggota as A join sistem_alamat as B on A.id_alamat=B.id";
        $search = array('nik', 'no_hp');
        $where  = null;
        // $where  = array('nama_kategori' => 'Tutorial');

        // jika memakai IS NULL pada where sql
        $isWhere = null;
        // $isWhere = 'artikel.deleted_at IS NULL';
        header('Content-Type: application/json');
        // echo $this->select_model->get_tables_query($query, $search, $where, $isWhere);
        echo $this->select_model->get_tables_query($query, $search, $where, $isWhere, $csrf_name, $csrf_hash);
    }
    public function detail($id)
    {
        // End_notifikasi 
        $data_login                = $this->userlogin->user_login('isloggedin');
        $data_id_login             = $this->session->userdata('isloggedin');
        // Query SQL Data atau isi data page
        $id_anggota                = $id;
        $data_identitas            = $this->select_model->getDataIdentitasAnggota($id_anggota);
        // Produk Aktif
        $produk_arisanheboh_aktif  = $this->select_model->getDataProdukAHA($id_anggota);
        $produk_arisanheboh_pasif  = $this->select_model->getDataProdukAHP($id_anggota);
        $produk_arisanmotor_aktif  = $this->select_model->getDataProdukAMA($id_anggota);
        $produk_arisanmotor_pasif  = $this->select_model->getDataProdukAMP($id_anggota);
        $jml_heboh_aktif           = count($produk_arisanheboh_aktif);
        $jml_motor_aktif           = count($produk_arisanmotor_aktif);
        $jml_heboh_pasif           = count($produk_arisanheboh_pasif);
        $jml_motor_pasif           = count($produk_arisanmotor_pasif);
        $data_nomor_cadangan       = $this->db->get_where('tbl_hpcadangan', ['anggota_id' => $id_anggota])->result();
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'            => 'identitas',
            'page'              => 'anggota',
            'judul'             => 'Data Identitas Anggota || Bagian Kepala Bagian Marketing',
            'data_id_login'     => $data_id_login,
            'data_login'        => $data_login,
            // Isi data
            'data_anggota'      => $data_identitas,
            'heboh_aktif'       => $jml_heboh_aktif,
            'motor_aktif'       => $jml_motor_aktif,
            'heboh_pasif'       => $jml_heboh_pasif,
            'motor_pasif'       => $jml_motor_pasif,
            'a_arisanheboh'     => $produk_arisanheboh_aktif,
            'a_arisanmotor'     => $produk_arisanmotor_aktif,
            'p_arisanheboh'     => $produk_arisanheboh_pasif,
            'p_arisanmotor'     => $produk_arisanmotor_pasif,
            'anggota_id'        => $id_anggota,
            'nomor_cadangan'    => $data_nomor_cadangan
        );
        $this->load->view('kabag_marketing/index', $data);
    }
}

/* End of file ControllerDataAnggotaKoperasi.php and path \application\controllers\kabag_marketing\kelola_data\ControllerDataAnggotaKoperasi.php */